Update an additional identifier

patch

/crmRestApi/resources/11.13.18.05/contacts/{PartyNumber}/child/AdditionalIdentifier/{PartyIdentifierId}

Request

Path Parameters
  • The unique identifier of the party.
  • The alternate key identifier for the contact party. The profile option HZ_GENERATE_PARTY_NUMBER controls whether the attribute value can be system generated or user-provided during create. Review and update the value for this attribute using the Setup and Maintenance work area, Manage Trading Community Common Profile Options task. Inactive records can't be updated.
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • Title: Issuing Country
    Maximum Length: 2
    The country code of the additional identifier. Review the list of country codes using the Manage Geographies task.
  • Default Value: HZ_WS
    The application module that created this organization record. Defaulted to value HZ_WS for all web service based creation. A list of valid certification level codes is defined in the lookup HZ_CREATED_BY_MODULES. You can review and update the codes using the Setup and Maintenance task, Manage Trading Community Common Lookups.
  • Title: Description
    Maximum Length: 240
    The description of the additional identifier.
  • Title: Expiration Date
    The date when the additional identifier will expire.
  • Title: Issue Date
    The date when the additional identifier was issued.
  • Title: Issuing Authority Name
    Maximum Length: 500
    The name of the issuing authority of the additional identifier.
  • The unique identifier of the issuing authority party.
  • The unique identifier of the party.
  • Title: Identifier Type
    Maximum Length: 30
    The type of the party identifier.
  • Title: Identifier Value
    Maximum Length: 60
    The value of the party identifier.
  • The party number of the additional identifier.
  • The name of external source system of the account, contact or household with which the address is associated. Part of alternate key for the account, contact or household record (along with PartyourceSystemReferenceValue). One of PartyId, PartyNumber or PartySourceSystem and PartySourceSystemReferenceValue keys is required to identify the account, contact or household record with which the address is associated. The value for this attribute should be predefined in the lookup type HZ_ORIG_SYSTEMS_VL using the setup task Manage Trading Community Source Systems.
  • The identifier for the record from an external source system.
  • Smart Actions
    Title: Smart Actions
    The smart actions resource is used to view the name, security, context object, REST operation, confirmation message, and other global properties of smart actions. Smart action item or collection links returned in response payloads are valid at the moment the REST request is processed. Any change to the parent object context can invalidate a previously valid smart action.
  • The name of external source system, which is defined by an admin as part of system setup. It is part of alternate key (along with SourceSystemReference), and is mandatory if PK or partyNumberBusinessKey is not passed in update.
  • The unique identifier of the relationship from external source system.
  • Title: Issuing State
    Maximum Length: 60
    Used for certain types of identifiers such as Passports or Driving licenses based on geography setup.
  • Maximum Length: 1
    Default Value: A
    The status code of the additional identifier.
Nested Schema : Smart Actions
Type: array
Title: Smart Actions
The smart actions resource is used to view the name, security, context object, REST operation, confirmation message, and other global properties of smart actions. Smart action item or collection links returned in response payloads are valid at the moment the REST request is processed. Any change to the parent object context can invalidate a previously valid smart action.
Show Source
Nested Schema : contacts-AdditionalIdentifier-smartActions-item-patch-request
Type: object
Show Source
Nested Schema : Smart Action User Interface Definitions
Type: array
Title: Smart Action User Interface Definitions
UI navigation metadata striped by app usage.
Show Source
Nested Schema : Smart Action REST Payload Definitions
Type: array
Title: Smart Action REST Payload Definitions
If an LOV required for constructing a request payload needs to post data, the payload metadata is stored here.
Show Source
Nested Schema : Smart Action User Interface Definitions
Type: array
Title: Smart Action User Interface Definitions
Binding metadata for a variable in the URL.
Show Source
Nested Schema : contacts-AdditionalIdentifier-smartActions-UserActionNavigation-item-patch-request
Type: object
Show Source
  • Title: System Action
    Maximum Length: 1
    Default Value: false
    The system assigned value indicating whether the smart action is seeded or custom. 'True' indicates the smart action is seeded. The value is automatically derived from smartActions.SystemActionFlag.
  • Title: Application Usage
    Maximum Length: 50
    The client application associated with a smart action user interface endpoint definition identified by UserActionNavId.
  • Title: Navigation Metadata
    Maximum Length: 1000
    The metadata definition of the smart action user interface endpoint.
  • Title: Navigation Type
    Maximum Length: 100
    The text value used by applications to determine which user interface to launch.
Nested Schema : contacts-AdditionalIdentifier-smartActions-UserActionRequestPayload-item-patch-request
Type: object
Show Source
  • Title: Payload Value Binding Type
    Maximum Length: 64
    The classification of the value property of a name-value pair. A binding value of RUNTIME indicates the value to be assigned is the runtime value of an object attribute. A value of STATIC indicates the value to be assigned is a simple string. A null value indicates that the value type is JSON_ARRAY_STRING.
  • Title: Mandatory
    Maximum Length: 1
    Indicates whether a REST payload body parameter value is mandatory. If True, runtime validation ensures that the value is defined.
  • Title: Request Payload Attribute Name
    Maximum Length: 256
    The value assigned to the name property of a name-value pair.
  • Title: Smart Suggest Path
    Maximum Length: 2048
    The path used for smart suggest.
  • Title: System Action
    Maximum Length: 1
    Default Value: false
    The system assigned value indicating whether the smart action is seeded or custom. 'True' indicates the smart action is seeded. The value is automatically derived from smartActions.SystemActionFlag.
  • Title: Request Payload Attribute Value
    Maximum Length: 1000
    The value assigned to the value property of a name-value pair.
  • Title: Payload Value Structure
    Maximum Length: 20
    A value of JSON_ARRAY_STRING indicates that the value property of a name-value pair represents an array of data rather than a single entity such as an object attribute name or simple text string. The array string is a definition of the name-value pair and the Binding and Mandatory properties. The array string follows specific pattern, for example [{"name":"leadId","Value":"LeadId","MandatoryFlag":true,"Binding":"RUNTIME"}]. A null value indicates the value property represents a simple, single entity such as an object attribute name or simple text string.
Nested Schema : contacts-AdditionalIdentifier-smartActions-UserActionURLBinding-item-patch-request
Type: object
Show Source
  • Title: URL Binding Type
    Maximum Length: 64
    The classification of the value property of a name-value pair. The binding value of a UserActionURLBinding instance must be RUNTIME. A binding value of RUNTIME indicates the value to be assigned is the runtime value of an object attribute.
  • Title: System Action
    Maximum Length: 1
    Default Value: false
    The system assigned value indicating whether the smart action is seeded or custom. 'True' indicates the smart action is seeded. The value is automatically derived from smartActions.SystemActionFlag.
  • Title: URL Binding Parameter Name
    Maximum Length: 256
    The value assigned to the name property of a name-value pair.
  • Title: URL Binding Parameter Value
    Maximum Length: 1000
    The value assigned to the value property of a name-value pair.
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : contacts-AdditionalIdentifier-item-response
Type: object
Show Source
  • Title: Issuing Country
    Maximum Length: 2
    The country code of the additional identifier. Review the list of country codes using the Manage Geographies task.
  • Read Only: true
    Maximum Length: 64
    The user who created the additional identifier.
  • Default Value: HZ_WS
    The application module that created this organization record. Defaulted to value HZ_WS for all web service based creation. A list of valid certification level codes is defined in the lookup HZ_CREATED_BY_MODULES. You can review and update the codes using the Setup and Maintenance task, Manage Trading Community Common Lookups.
  • Read Only: true
    The date when the additional identifier was created.
  • Title: Description
    Maximum Length: 240
    The description of the additional identifier.
  • Title: Expiration Date
    The date when the additional identifier will expire.
  • Title: Issue Date
    The date when the additional identifier was issued.
  • Title: Issuing Authority Name
    Maximum Length: 500
    The name of the issuing authority of the additional identifier.
  • The unique identifier of the issuing authority party.
  • Read Only: true
    The date when the additional identifier was last updated.
  • Read Only: true
    Maximum Length: 64
    The user who last updated the additional identifier.
  • Read Only: true
    Maximum Length: 32
    The login of the user who last updated the additional identifier.
  • Links
  • Read Only: true
    The number used to implement locking. This number is incremented every time that the row is updated. The number is compared at the start and end of a transaction to determine whether another session has updated the row.
  • The unique identifier of the party.
  • Read Only: true
    The unique identifier of the party.
  • Title: Identifier Type
    Maximum Length: 30
    The type of the party identifier.
  • Title: Identifier Value
    Maximum Length: 60
    The value of the party identifier.
  • The party number of the additional identifier.
  • The name of external source system of the account, contact or household with which the address is associated. Part of alternate key for the account, contact or household record (along with PartyourceSystemReferenceValue). One of PartyId, PartyNumber or PartySourceSystem and PartySourceSystemReferenceValue keys is required to identify the account, contact or household record with which the address is associated. The value for this attribute should be predefined in the lookup type HZ_ORIG_SYSTEMS_VL using the setup task Manage Trading Community Source Systems.
  • The identifier for the record from an external source system.
  • Smart Actions
    Title: Smart Actions
    The smart actions resource is used to view the name, security, context object, REST operation, confirmation message, and other global properties of smart actions. Smart action item or collection links returned in response payloads are valid at the moment the REST request is processed. Any change to the parent object context can invalidate a previously valid smart action.
  • The name of external source system, which is defined by an admin as part of system setup. It is part of alternate key (along with SourceSystemReference), and is mandatory if PK or partyNumberBusinessKey is not passed in update.
  • The unique identifier of the relationship from external source system.
  • Title: Issuing State
    Maximum Length: 60
    Used for certain types of identifiers such as Passports or Driving licenses based on geography setup.
  • Maximum Length: 1
    Default Value: A
    The status code of the additional identifier.
Nested Schema : Smart Actions
Type: array
Title: Smart Actions
The smart actions resource is used to view the name, security, context object, REST operation, confirmation message, and other global properties of smart actions. Smart action item or collection links returned in response payloads are valid at the moment the REST request is processed. Any change to the parent object context can invalidate a previously valid smart action.
Show Source
Nested Schema : contacts-AdditionalIdentifier-smartActions-item-response
Type: object
Show Source
  • Title: Action Intent
    JSON object that describes what an action does and what context data can be passed to the action.
  • Title: Confirmation Message
    Maximum Length: 4000
    The confirmation message displayed before the smart action runs. An affirmative response allows the smart action to run.
  • Title: Content Type
    Maximum Length: 50
    The media type of the smart action REST operation.
  • Title: Action Name
    Maximum Length: 256
    The display name of the smart action.
  • Title: Parent Entity
    Maximum Length: 150
    The primary object the smart action is associated with. For example, if the smart action creates an appointment for a lead, lead is the primary object.
  • Title: REST Endpoint
    Maximum Length: 1024
    The relative path of the smart action REST resource. The path can include path parameters.
  • Title: Included in Application
    Maximum Length: 512
    The client applications that the smart action is associated with.
  • Links
  • Title: Mass Action
    Maximum Length: 1
    Boolean type indicating if this action can be mass processed.
  • Title: HTTP Method
    Maximum Length: 15
    The HTTP method of the smart action REST operation.
  • Title: Object Function
    Maximum Length: 64
    The object function associated with the smart action.
  • Title: Page Type
    Maximum Length: 256
    The list of pages that this action can be used in.
  • Title: Smart Suggest
    Maximum Length: 1
    Indicates whether smart suggest is enabled for the action.
  • Title: System Action
    Maximum Length: 1
    Indicates whether the action is seeded or custom.
  • Title: Attributes to Update
    Maximum Length: 512
    The object attribute to be updated as a result of using a data entry form. It is used by applications to determine which form to use. The value is object scoped and must be unique across all smart actions for an object.
  • Title: User Action ID
    The unique system assigned identifier of the smart action definition.
  • Title: Action Name
    Maximum Length: 256
    The unique system assigned smart action name.
  • Smart Action User Interface Definitions
    Title: Smart Action User Interface Definitions
    The user interface definitions resource is used to view the user interfaces associated with a smart action. Each user interface can be mapped to a client application. Smart action item or collection links returned in response payloads are valid at the moment the REST request is processed. Any change to the parent object context can invalidate a previously valid smart action.
  • Title: Priority
    The number defining the relative position of the smart action in the list of smart actions displayed in a client application.
  • Smart Action REST Payload Definitions
    Title: Smart Action REST Payload Definitions
    The payload definitions resource is used to view the REST request payload name-value pair definitions of a smart action. Smart action item or collection links returned in response payloads are valid at the moment the REST request is processed. Any change to the parent object context can invalidate a previously valid smart action.
  • Smart Action REST Path Parameter Definitions
    Title: Smart Action REST Path Parameter Definitions
    The path parameter definitions resource is used to view the REST request path parameter name-value pair definitions of a smart action. Smart action item or collection links returned in response payloads are valid at the moment the REST request is processed. Any change to the parent object context can invalidate a previously valid smart action.
Nested Schema : Smart Action User Interface Definitions
Type: array
Title: Smart Action User Interface Definitions
The user interface definitions resource is used to view the user interfaces associated with a smart action. Each user interface can be mapped to a client application. Smart action item or collection links returned in response payloads are valid at the moment the REST request is processed. Any change to the parent object context can invalidate a previously valid smart action.
Show Source
Nested Schema : Smart Action REST Payload Definitions
Type: array
Title: Smart Action REST Payload Definitions
The payload definitions resource is used to view the REST request payload name-value pair definitions of a smart action. Smart action item or collection links returned in response payloads are valid at the moment the REST request is processed. Any change to the parent object context can invalidate a previously valid smart action.
Show Source
Nested Schema : Smart Action REST Path Parameter Definitions
Type: array
Title: Smart Action REST Path Parameter Definitions
The path parameter definitions resource is used to view the REST request path parameter name-value pair definitions of a smart action. Smart action item or collection links returned in response payloads are valid at the moment the REST request is processed. Any change to the parent object context can invalidate a previously valid smart action.
Show Source
Nested Schema : contacts-AdditionalIdentifier-smartActions-UserActionNavigation-item-response
Type: object
Show Source
  • Links
  • Title: System Action
    Maximum Length: 1
    Default Value: false
    The system assigned value indicating whether the smart action is seeded or custom. 'True' indicates the smart action is seeded. The value is automatically derived from smartActions.SystemActionFlag.
  • Title: Application Usage
    Maximum Length: 50
    The client application associated with a smart action user interface endpoint definition identified by UserActionNavId.
  • Title: Navigation Metadata
    Maximum Length: 1000
    The metadata definition of the smart action user interface endpoint.
  • Title: Primary Key
    The unique system assigned identifier of a smart action user interface definition.
  • Title: Navigation Type
    Maximum Length: 100
    The text value used by applications to determine which user interface to launch.
Nested Schema : contacts-AdditionalIdentifier-smartActions-UserActionRequestPayload-item-response
Type: object
Show Source
  • Title: Payload Value Binding Type
    Maximum Length: 64
    The classification of the value property of a name-value pair. A binding value of RUNTIME indicates the value to be assigned is the runtime value of an object attribute. A value of STATIC indicates the value to be assigned is a simple string. A null value indicates that the value type is JSON_ARRAY_STRING.
  • Links
  • Title: Mandatory
    Maximum Length: 1
    Indicates whether a REST payload body parameter value is mandatory. If True, runtime validation ensures that the value is defined.
  • The unique system assigned identifier of a smart action REST payload body parameter name-value pair definition.
  • Title: Request Payload Attribute Name
    Maximum Length: 256
    The value assigned to the name property of a name-value pair.
  • Title: Smart Suggest Path
    Maximum Length: 2048
    The path used for smart suggest.
  • Title: System Action
    Maximum Length: 1
    Default Value: false
    The system assigned value indicating whether the smart action is seeded or custom. 'True' indicates the smart action is seeded. The value is automatically derived from smartActions.SystemActionFlag.
  • Title: Request Payload Attribute Value
    Maximum Length: 1000
    The value assigned to the value property of a name-value pair.
  • Title: Payload Value Structure
    Maximum Length: 20
    A value of JSON_ARRAY_STRING indicates that the value property of a name-value pair represents an array of data rather than a single entity such as an object attribute name or simple text string. The array string is a definition of the name-value pair and the Binding and Mandatory properties. The array string follows specific pattern, for example [{"name":"leadId","Value":"LeadId","MandatoryFlag":true,"Binding":"RUNTIME"}]. A null value indicates the value property represents a simple, single entity such as an object attribute name or simple text string.
Nested Schema : contacts-AdditionalIdentifier-smartActions-UserActionURLBinding-item-response
Type: object
Show Source
  • Title: URL Binding Type
    Maximum Length: 64
    The classification of the value property of a name-value pair. The binding value of a UserActionURLBinding instance must be RUNTIME. A binding value of RUNTIME indicates the value to be assigned is the runtime value of an object attribute.
  • Links
  • Title: System Action
    Maximum Length: 1
    Default Value: false
    The system assigned value indicating whether the smart action is seeded or custom. 'True' indicates the smart action is seeded. The value is automatically derived from smartActions.SystemActionFlag.
  • The unique system assigned identifier of a smart action REST path parameter name-value pair definition.
  • Title: URL Binding Parameter Name
    Maximum Length: 256
    The value assigned to the name property of a name-value pair.
  • Title: URL Binding Parameter Value
    Maximum Length: 1000
    The value assigned to the value property of a name-value pair.
Back to Top